## amazon-ecr-credential-helper 0.2.0

=== Makefile ===
# Copyright 2016 Amazon.com, Inc. or its affiliates. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License"). You
# may not use this file except in compliance with the License. A copy of
# the License is located at
#
# 	http://aws.amazon.com/apache2.0/
#
# or in the "license" file accompanying this file. This file is
# distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF
# ANY KIND, either express or implied. See the License for the specific
# language governing permissions and limitations under the License.

ROOT := $(shell pwd)

all: build

SOURCEDIR=./ecr-login
SOURCES := $(shell find $(SOURCEDIR) -name '*.go')
VERSION := $(shell cat VERSION)
GITFILES := $(shell find ".git/")
BINARY_NAME=docker-credential-ecr-login
LOCAL_BINARY=bin/local/$(BINARY_NAME)

LINUX_AMD64_BINARY=bin/linux-amd64/$(BINARY_NAME)
DARWIN_AMD64_BINARY=bin/darwin-amd64/$(BINARY_NAME)
WINDOWS_AMD64_BINARY=bin/windows-amd64/$(BINARY_NAME).exe

.PHONY: docker
docker: Dockerfile
	mkdir -p bin
	docker run --rm \
	-e TARGET_GOOS=$(TARGET_GOOS) \
	-e TARGET_GOARCH=$(TARGET_GOARCH) \
	-v '$(shell pwd)/bin':/go/src/github.com/awslabs/amazon-ecr-credential-helper/bin \
	$(shell docker build -q .)

.PHONY: build
build: $(LOCAL_BINARY)

$(LOCAL_BINARY): $(SOURCES) GITCOMMIT_SHA
	. ./scripts/shared_env && ./scripts/build_binary.sh ./bin/local $(VERSION) $(shell cat GITCOMMIT_SHA)
	@echo "Built ecr-login"

.PHONY: test
test:
	. ./scripts/shared_env && go test -v -timeout 30s -short -cover $(shell go list ./ecr-login/... | grep -v /vendor/)

.PHONY: all-variants
all-variants: linux-amd64 darwin-amd64 windows-amd64

.PHONY: linux-amd64
linux-amd64: $(LINUX_AMD64_BINARY)
$(LINUX_AMD64_BINARY): $(SOURCES) GITCOMMIT_SHA
	./scripts/build_variant.sh linux amd64 $(VERSION) $(shell cat GITCOMMIT_SHA)

.PHONY: darwin-amd64
darwin-amd64: $(DARWIN_AMD64_BINARY)
$(DARWIN_AMD64_BINARY): $(SOURCES) GITCOMMIT_SHA
	./scripts/build_variant.sh darwin amd64 $(VERSION) $(shell cat GITCOMMIT_SHA)

.PHONY: windows-amd64
windows-amd64: $(WINDOWS_AMD64_BINARY)
$(WINDOWS_AMD64_BINARY): $(SOURCES) GITCOMMIT_SHA
	./scripts/build_variant.sh windows amd64 $(VERSION) $(shell cat GITCOMMIT_SHA)
	@mv ./bin/windows-amd64/$(BINARY_NAME) ./$(WINDOWS_AMD64_BINARY)

GITCOMMIT_SHA: $(GITFILES)
	git rev-parse --short=7 HEAD > GITCOMMIT_SHA

release.tar: GITCOMMIT_SHA
	git archive -o release.tar HEAD
	tar -f release.tar --append GITCOMMIT_SHA --owner 0 --group 0

.PHONY: release-tarball
release-tarball: release.tar.gz
release.tar.gz: release.tar
	gzip release.tar

.PHONY: release-tarball-no-vendor
release-tarball-no-vendor: release-novendor.tar.gz
release-novendor.tar.gz: release.tar
	mv release.tar release-novendor.tar
	tar -f release-novendor.tar --wildcards --delete 'ecr-login/vendor/*'
	gzip release-novendor.tar

.PHONY: gogenerate
gogenerate:
	./scripts/gogenerate

.PHONY: get-deps
get-deps:
	go get github.com/tools/godep
	go get golang.org/x/tools/cmd/cover
	go get github.com/golang/mock/mockgen
	go get golang.org/x/tools/cmd/goimports

.PHONY: clean
clean:
	- rm -rf ./bin
	- rm -f GITCOMMIT_SHA
	- rm -f release.tar.gz
	- rm -f release-novendor.tar.gz

=== debian/changelog ===
amazon-ecr-credential-helper (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #916982)

 -- Samuel Karp <skarp@amazon.com>  Mon, 24 Dec 2018 21:52:31 -0700

=== debian/control ===
Source: amazon-ecr-credential-helper
Section: misc
Priority: optional
Maintainer: Samuel Karp <skarp@amazon.com>
Build-Depends:
 debhelper (>= 8.0.0),
 dh-golang (>= 1.1),
 golang-go (>= 1.7),
 git,
 golang-github-aws-aws-sdk-go-dev,
 golang-github-docker-docker-credential-helpers-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-golang-mock-dev,
 golang-github-pkg-errors-dev
Standards-Version: 4.3.0
Homepage: https://github.com/awslabs/amazon-ecr-credential-helper
Vcs-Browser: https://github.com/awslabs/amazon-ecr-credential-helper
Vcs-Git: https://github.com/awslabs/amazon-ecr-credential-helper
XS-Go-Import-Path: github.com/awslabs/amazon-ecr-credential-helper

Package: amazon-ecr-credential-helper
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ca-certificates
Built-Using: ${misc:Built-Using}
Recommends: docker.io | docker-ce
Enhances: docker.io, docker-ce
Description: Amazon ECR Credential Helper for Docker
 A Docker credential helper to automatically manage credentials for Amazon ECR.
 .
 Once configured, the Amazon ECR Credential Helper lets you "docker pull" and
 "docker push" container images from Amazon ECR without running "docker login".
 .
 Amazon ECR is a container registry and requires authentication for pushing and
 pulling images.  You can use the AWS CLI or the AWS SDK to obtain a
 time-limited authentication token.  This credential helper automatically
 manages obtaining and refreshing authentication tokens when using the Docker
 CLI.
 .
 For more information about Amazon ECR and how to use it, see the documentation
 at https://docs.aws.amazon.com/AmazonECR/latest/userguide/.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DH_OPTIONS

export DH_GOPKG := github.com/awslabs/amazon-ecr-credential-helper

VERSION := $(shell cat VERSION)
GITCOMMIT_SHA := $(shell cat GITCOMMIT_SHA)
package_root := "github.com/awslabs/amazon-ecr-credential-helper/ecr-login"

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -- -ldflags "-X $(package_root)/version.Version=$(VERSION) -X $(package_root)/version.GitCommitSHA=$(GITCOMMIT_SHA)"
	mkdir -p bin/local
	cp obj-$(DEB_HOST_GNU_TYPE)/bin/docker-credential-ecr-login bin/local

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_clean:
	dh_testdir -O--buildsystem=golang
	dh_auto_clean -O--buildsystem=golang
	dh_clean -O--buildsystem=golang
	rm -rf ./obj-*-linux-gnu
	rm -rf ./debian/amazon-ecr-credential-helper
	rm -rf ./debian/.debhelper
	rm -rf ./debian/files
	rm -f ./amazon-ecr-credential-helper_*

## amazon-ecr-credential-helper 0.3.1

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 LOCAL_BINARY=bin/local/$(BINARY_NAME)
 
 LINUX_AMD64_BINARY=bin/linux-amd64/$(BINARY_NAME)
+LINUX_ARM64_BINARY=bin/linux-arm64/$(BINARY_NAME)
 DARWIN_AMD64_BINARY=bin/darwin-amd64/$(BINARY_NAME)
 WINDOWS_AMD64_BINARY=bin/windows-amd64/$(BINARY_NAME).exe
 
@@ -47,12 +48,17 @@
 	. ./scripts/shared_env && go test -v -timeout 30s -short -cover $(shell go list ./ecr-login/... | grep -v /vendor/)
 
 .PHONY: all-variants
-all-variants: linux-amd64 darwin-amd64 windows-amd64
+all-variants: linux-amd64 linux-arm64 darwin-amd64 windows-amd64
 
 .PHONY: linux-amd64
 linux-amd64: $(LINUX_AMD64_BINARY)
 $(LINUX_AMD64_BINARY): $(SOURCES) GITCOMMIT_SHA
 	./scripts/build_variant.sh linux amd64 $(VERSION) $(shell cat GITCOMMIT_SHA)
+
+.PHONY: linux-arm64
+linux-arm64: $(LINUX_ARM64_BINARY)
+$(LINUX_ARM64_BINARY): $(SOURCES) GITCOMMIT_SHA
+	./scripts/build_variant.sh linux arm64 $(VERSION) $(shell cat GITCOMMIT_SHA)
 
 .PHONY: darwin-amd64
 darwin-amd64: $(DARWIN_AMD64_BINARY)

=== debian/changelog ===
amazon-ecr-credential-helper (0.3.1-1) unstable; urgency=low

  [ Noah Meyerhans ]
  * Ensure that DEB_HOST_GNU_TYPE is initialized in debian/rules
    (Closes: #930104)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Repository.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Samuel Karp ]
  * Set upstream metadata fields: Security-Contact.
  * New upstream release.

 -- Samuel Karp <skarp@amazon.com>  Tue, 31 Dec 2019 15:55:36 -0800

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Samuel Karp <skarp@amazon.com>
 Build-Depends:
- debhelper (>= 8.0.0),
+ debhelper-compat (= 12),
  dh-golang (>= 1.1),
  golang-go (>= 1.7),
  git,
- golang-github-aws-aws-sdk-go-dev,
+ golang-github-aws-aws-sdk-go-dev (>= 1.16.26),
  golang-github-docker-docker-credential-helpers-dev,
  golang-github-mitchellh-go-homedir-dev,
  golang-github-sirupsen-logrus-dev,
  golang-github-golang-mock-dev,
  golang-github-pkg-errors-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/awslabs/amazon-ecr-credential-helper
 Vcs-Browser: https://github.com/awslabs/amazon-ecr-credential-helper
 Vcs-Git: https://github.com/awslabs/amazon-ecr-credential-helper

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 %:
 	dh $@ --buildsystem=golang --with=golang
 
+include /usr/share/dpkg/architecture.mk
 override_dh_auto_build:
 	dh_auto_build -- -ldflags "-X $(package_root)/version.Version=$(VERSION) -X $(package_root)/version.GitCommitSHA=$(GITCOMMIT_SHA)"
 	mkdir -p bin/local

## amazon-ecr-credential-helper 0.5.0

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 WINDOWS_AMD64_BINARY=bin/windows-amd64/$(BINARY_NAME).exe
 
 .PHONY: docker
-docker: Dockerfile
+docker: Dockerfile GITCOMMIT_SHA
 	mkdir -p bin
 	docker run --rm \
 	-e TARGET_GOOS=$(TARGET_GOOS) \
@@ -45,7 +45,7 @@
 
 .PHONY: test
 test:
-	. ./scripts/shared_env && go test -v -timeout 30s -short -cover $(shell go list ./ecr-login/... | grep -v /vendor/)
+	. ./scripts/shared_env && cd ecr-login && go test -v -timeout 30s -short -cover ./...
 
 .PHONY: all-variants
 all-variants: linux-amd64 linux-arm64 darwin-amd64 windows-amd64
@@ -98,7 +98,6 @@
 get-deps:
 	go get github.com/tools/godep
 	go get golang.org/x/tools/cmd/cover
-	go get github.com/golang/mock/mockgen
 	go get golang.org/x/tools/cmd/goimports
 
 .PHONY: clean

=== debian/changelog ===
amazon-ecr-credential-helper (0.5.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 17:59:43 +0000

amazon-ecr-credential-helper (0.5.0-1build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:47:10 -0600

amazon-ecr-credential-helper (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update minimum Go dependency to 1.12.

 -- Samuel Karp <skarp@amazon.com>  Mon, 15 Feb 2021 17:21:51 -0800

amazon-ecr-credential-helper (0.3.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/watch file, using github.
  * Use canonical URL in Vcs-Git.
  * Update standards version to 4.5.0, no changes needed.

  [ Noah Meyerhans ]
  * Install README.md to /usr/share/doc (Closes: #962304)

  [ Tianon Gravi ]
  * Update "Vcs-*" tags to point to debian branch
  * Update debian/watch to match the novendor tarballs
  * Add "golang-github-stretchr-testify-dev" to B-D (Closes: #973063)

 -- Samuel Karp <skarp@amazon.com>  Wed, 04 Nov 2020 21:14:46 -0800

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: amazon-ecr-credential-helper
 Section: misc
 Priority: optional
-Maintainer: Samuel Karp <skarp@amazon.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Samuel Karp <skarp@amazon.com>
 Build-Depends:
  debhelper-compat (= 12),
  dh-golang (>= 1.1),
- golang-go (>= 1.7),
+ golang-go (>= 1.12),
  git,
- golang-github-aws-aws-sdk-go-dev (>= 1.16.26),
+ golang-github-aws-aws-sdk-go-dev (>= 1.36.0),
  golang-github-docker-docker-credential-helpers-dev,
  golang-github-mitchellh-go-homedir-dev,
  golang-github-sirupsen-logrus-dev,
- golang-github-golang-mock-dev,
+ golang-github-stretchr-testify-dev,
  golang-github-pkg-errors-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/awslabs/amazon-ecr-credential-helper
-Vcs-Browser: https://github.com/awslabs/amazon-ecr-credential-helper
-Vcs-Git: https://github.com/awslabs/amazon-ecr-credential-helper
+Vcs-Browser: https://github.com/awslabs/amazon-ecr-credential-helper/tree/debian
+Vcs-Git: https://github.com/awslabs/amazon-ecr-credential-helper.git -b debian
 XS-Go-Import-Path: github.com/awslabs/amazon-ecr-credential-helper
 
 Package: amazon-ecr-credential-helper

## amazon-ecr-credential-helper 0.6.0

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,14 @@
 SOURCEDIR=./ecr-login
 SOURCES := $(shell find $(SOURCEDIR) -name '*.go')
 VERSION := $(shell cat VERSION)
-GITFILES := $(shell find ".git/")
+GITFILES := $(shell test -d .git && find ".git/" -type f)
 BINARY_NAME=docker-credential-ecr-login
 LOCAL_BINARY=bin/local/$(BINARY_NAME)
 
 LINUX_AMD64_BINARY=bin/linux-amd64/$(BINARY_NAME)
 LINUX_ARM64_BINARY=bin/linux-arm64/$(BINARY_NAME)
 DARWIN_AMD64_BINARY=bin/darwin-amd64/$(BINARY_NAME)
+DARWIN_ARM64_BINARY=bin/darwin-arm64/$(BINARY_NAME)
 WINDOWS_AMD64_BINARY=bin/windows-amd64/$(BINARY_NAME).exe
 
 .PHONY: docker
@@ -40,15 +41,15 @@
 build: $(LOCAL_BINARY)
 
 $(LOCAL_BINARY): $(SOURCES) GITCOMMIT_SHA
-	. ./scripts/shared_env && ./scripts/build_binary.sh ./bin/local $(VERSION) $(shell cat GITCOMMIT_SHA)
+	./scripts/build_binary.sh ./bin/local $(VERSION) $(shell cat GITCOMMIT_SHA)
 	@echo "Built ecr-login"
 
 .PHONY: test
 test:
-	. ./scripts/shared_env && cd ecr-login && go test -v -timeout 30s -short -cover ./...
+	cd $(SOURCEDIR) && go test -v -timeout 30s -short -cover ./...
 
 .PHONY: all-variants
-all-variants: linux-amd64 linux-arm64 darwin-amd64 windows-amd64
+all-variants: linux-amd64 linux-arm64 darwin-amd64 darwin-arm64 windows-amd64
 
 .PHONY: linux-amd64
 linux-amd64: $(LINUX_AMD64_BINARY)
@@ -64,6 +65,11 @@
 darwin-amd64: $(DARWIN_AMD64_BINARY)
 $(DARWIN_AMD64_BINARY): $(SOURCES) GITCOMMIT_SHA
 	./scripts/build_variant.sh darwin amd64 $(VERSION) $(shell cat GITCOMMIT_SHA)
+
+.PHONY: darwin-arm64
+darwin-arm64: $(DARWIN_ARM64_BINARY)
+$(DARWIN_ARM64_BINARY): $(SOURCES) GITCOMMIT_SHA
+	./scripts/build_variant.sh darwin arm64 $(VERSION) $(shell cat GITCOMMIT_SHA)
 
 .PHONY: windows-amd64
 windows-amd64: $(WINDOWS_AMD64_BINARY)

=== debian/changelog ===
amazon-ecr-credential-helper (0.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-golang and golang-go.

  [ Noah Meyerhans ]
  * New upstream release
  * Add golang-github-aws-aws-sdk-go-v2-dev to build-deps
  * Replace Sam Karp with myself as Maintainer

 -- Noah Meyerhans <noahm@debian.org>  Tue, 31 Jan 2023 11:17:40 -0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: amazon-ecr-credential-helper
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Samuel Karp <skarp@amazon.com>
+Maintainer: Noah Meyerhans <noahm@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
- dh-golang (>= 1.1),
- golang-go (>= 1.12),
+ dh-golang,
+ golang-go,
  git,
- golang-github-aws-aws-sdk-go-dev (>= 1.36.0),
+ golang-github-aws-aws-sdk-go-v2-dev,
  golang-github-docker-docker-credential-helpers-dev,
  golang-github-mitchellh-go-homedir-dev,
  golang-github-sirupsen-logrus-dev,

## amazon-ecr-credential-helper 0.7.1

=== Makefile ===
--- 
+++ 
@@ -102,9 +102,7 @@
 
 .PHONY: get-deps
 get-deps:
-	go get github.com/tools/godep
-	go get golang.org/x/tools/cmd/cover
-	go get golang.org/x/tools/cmd/goimports
+	go install golang.org/x/tools/cmd/goimports@698251aaa532d49ac69d2c416b0241afb2f65ea5
 
 .PHONY: clean
 clean:

=== debian/changelog ===
amazon-ecr-credential-helper (0.7.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 08:04:45 -0500

amazon-ecr-credential-helper (0.7.1-2) unstable; urgency=medium

  * Team upload.
  * Move debianization to Salsa.
  * Add golang-github-awslabs-amazon-ecr-credential-helper-dev.
  * Run wrap-and-sort -satbk.
  * Adopt package to Debian Go team.
  * Rules-Requires-Root: no.
  * Testsuite: autopkgtest-pkg-go.
  * Standards-Version: 4.7.0.
  * Use compat 13.
  * Fix binary install path.
  * Improve d/copyright, mention debian/* authors.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 26 Oct 2024 18:43:57 +0200

amazon-ecr-credential-helper (0.7.1-1) unstable; urgency=medium

  * New upstream release 0.7.1

 -- Noah Meyerhans <noahm@debian.org>  Sat, 11 Nov 2023 15:44:07 -0800

=== debian/control ===
Source: amazon-ecr-credential-helper
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Noah Meyerhans <noahm@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 git,
 golang-github-aws-aws-sdk-go-v2-dev,
 golang-github-docker-docker-credential-helpers-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-pkg-errors-dev,
 golang-github-sirupsen-logrus-dev,
 golang-github-stretchr-testify-dev,
 golang-go,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/amazon-ecr-credential-helper
Vcs-Git: https://salsa.debian.org/go-team/packages/amazon-ecr-credential-helper.git
Homepage: https://github.com/awslabs/amazon-ecr-credential-helper
XS-Go-Import-Path: github.com/awslabs/amazon-ecr-credential-helper

Package: amazon-ecr-credential-helper
Section: misc
Architecture: any
Depends:
 ca-certificates,
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Recommends:
 docker.io | docker-ce,
Enhances:
 docker-ce,
 docker.io,
Description: Amazon ECR Credential Helper for Docker
 A Docker credential helper to automatically manage credentials for Amazon ECR.
 .
 Once configured, the Amazon ECR Credential Helper lets you "docker pull" and
 "docker push" container images from Amazon ECR without running "docker login".
 .
 Amazon ECR is a container registry and requires authentication for pushing and
 pulling images.  You can use the AWS CLI or the AWS SDK to obtain a
 time-limited authentication token.  This credential helper automatically
 manages obtaining and refreshing authentication tokens when using the Docker
 CLI.
 .
 For more information about Amazon ECR and how to use it, see the documentation
 at https://docs.aws.amazon.com/AmazonECR/latest/userguide/.

Package: golang-github-awslabs-amazon-ecr-credential-helper-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Amazon ECR Credential Helper for Docker (library)
 A Docker credential helper to automatically manage credentials for Amazon ECR.
 .
 This package contains the development Go library.

=== debian/rules ===
--- 
+++ 
@@ -16,11 +16,6 @@
 include /usr/share/dpkg/architecture.mk
 override_dh_auto_build:
 	dh_auto_build -- -ldflags "-X $(package_root)/version.Version=$(VERSION) -X $(package_root)/version.GitCommitSHA=$(GITCOMMIT_SHA)"
-	mkdir -p bin/local
-	cp obj-$(DEB_HOST_GNU_TYPE)/bin/docker-credential-ecr-login bin/local
-
-override_dh_auto_install:
-	dh_auto_install -- --no-source
 
 override_dh_clean:
 	dh_testdir -O--buildsystem=golang
@@ -30,4 +25,5 @@
 	rm -rf ./debian/amazon-ecr-credential-helper
 	rm -rf ./debian/.debhelper
 	rm -rf ./debian/files
+	rm -rf ./bin
 	rm -f ./amazon-ecr-credential-helper_*

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S*)\/release-novendor\.tar\.gz/amazon-ecr-credential-helper_$1.orig.tar.gz/ \
  https://github.com/awslabs/amazon-ecr-credential-helper/releases \
  .*\/(\d\S+)/release-novendor\.tar\.gz
